package it.integry.integrywmsnative.core.rest.model.udc;

import java.util.List;

public class CreateUDCRequestDTO {

    private String codMdep;
    private Integer numCollo;
    private String serCollo;
    private String codAnag;
    private String codTcol;

    private String annotazioni;

    private List<CreateUDCRequestOrderDTO> orders;


    public String getCodMdep() {
        return codMdep;
    }

    public CreateUDCRequestDTO setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public Integer getNumCollo() {
        return numCollo;
    }

    public CreateUDCRequestDTO setNumCollo(Integer numCollo) {
        this.numCollo = numCollo;
        return this;
    }

    public String getSerCollo() {
        return serCollo;
    }

    public CreateUDCRequestDTO setSerCollo(String serCollo) {
        this.serCollo = serCollo;
        return this;
    }

    public String getCodAnag() {
        return codAnag;
    }

    public CreateUDCRequestDTO setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public String getCodTcol() {
        return codTcol;
    }

    public CreateUDCRequestDTO setCodTcol(String codTcol) {
        this.codTcol = codTcol;
        return this;
    }

    public String getAnnotazioni() {
        return annotazioni;
    }

    public CreateUDCRequestDTO setAnnotazioni(String annotazioni) {
        this.annotazioni = annotazioni;
        return this;
    }

    public List<CreateUDCRequestOrderDTO> getOrders() {
        return orders;
    }

    public CreateUDCRequestDTO setOrders(List<CreateUDCRequestOrderDTO> orders) {
        this.orders = orders;
        return this;
    }
}
